Bug 146778 - CAN-2005-0211 Buffer overflow in WCCP recvfrom() call
CAN-2005-0211 Buffer overflow in WCCP recvfrom() call
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Jay Fenlason
: Security
Depends On:
  Show dependency treegraph
Reported: 2005-02-01 11:30 EST by Josh Bressers
Modified: 2014-08-31 19:27 EDT (History)
1 user (show)

See Also:
Fixed In Version: 7:2.5.STABLE7-1.FC3.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-14 11:08:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-02-01 11:30:51 EST
*** This bug has been split off bug 146777 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.02.01
11:22 -------

The length argument of the WCCP recvfrom() call is larger than it should be. An
attacker may send a larger-than-normal WCCP packet and overflow a buffer.

The upstream patch for this issue can be found here:
Comment 1 Josh Bressers 2005-02-01 11:34:04 EST
This issue should also affect FC2.

Note You need to log in before you can comment on or make changes to this bug.